package com.kingdee.eas.custom.erp;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class synPersonEnableToErpFacadeFactory
{
    private synPersonEnableToErpFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.erp.IsynPersonEnableToErpFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPersonEnableToErpFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("848B08C5") ,com.kingdee.eas.custom.erp.IsynPersonEnableToErpFacade.class);
    }
    
    public static com.kingdee.eas.custom.erp.IsynPersonEnableToErpFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPersonEnableToErpFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("848B08C5") ,com.kingdee.eas.custom.erp.IsynPersonEnableToErpFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.erp.IsynPersonEnableToErpFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPersonEnableToErpFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("848B08C5"));
    }
    public static com.kingdee.eas.custom.erp.IsynPersonEnableToErpFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPersonEnableToErpFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("848B08C5"));
    }
}